LogSystem (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.log.LogSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Interface LogSystem

All Known Implementing Classes:
  AvalonLogSystem, Log4JLogSystem, NullLogSystem, PrimordialLogSystem, SimpleLog4JLogSystem

Deprecated. Use LogChute instead!

public interface LogSystem

Old base interface that old logging systems needed to implement.

Version:
  $Id: LogSystem.java 730039 2008-12-30 03:53:19Z byron $
Author:
  Jon S. Stevens, Geir Magnusson Jr.

Field Summary
`static int` | `DEBUG_ID` Deprecated. ID for debug messages.
`static boolean` | `DEBUG_ON` Deprecated. This is unused and meaningless
`static int` | `ERROR_ID` Deprecated. ID for error messages.
`static int` | `INFO_ID` Deprecated. ID for info messages.
`static int` | `WARN_ID` Deprecated. ID for warning messages.

Method Summary
`void` | `init(RuntimeServices rs)` Deprecated. Initializes this LogSystem.
`void` | `logVelocityMessage(int level, String message)` Deprecated. Use log(level, message).

Field Detail

### DEBUG_ON

    public static final boolean DEBUG_ON

  Deprecated. This is unused and meaningless

  See Also:
    Constant Field Values

### DEBUG_ID

    public static final int DEBUG_ID

  Deprecated.
  ID for debug messages.

  See Also:
    Constant Field Values

### INFO_ID

    public static final int INFO_ID

  Deprecated.
  ID for info messages.

  See Also:
    Constant Field Values

### WARN_ID

    public static final int WARN_ID

  Deprecated.
  ID for warning messages.

  See Also:
    Constant Field Values

### ERROR_ID

    public static final int ERROR_ID

  Deprecated.
  ID for error messages.

  See Also:
    Constant Field Values

Method Detail

### init

    public void init(RuntimeServices rs)
              throws Exception

  Deprecated.
  Initializes this LogSystem.

  Parameters:
    `rs` -
  Throws:
    `Exception`

### logVelocityMessage

    public void logVelocityMessage(int level,
                                   String message)

  Deprecated. Use log(level, message).

  Parameters:
    `level` -
    `message` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.